Bug 182747 - [maintainer-update] [patch] devel/hg-git: Add stage support.
Summary: [maintainer-update] [patch] devel/hg-git: Add stage support.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-06 15:40 UTC by Marco Bröder
Modified: 2013-10-14 13:11 UTC (History)
0 users

See Also:


Attachments
file.diff (3.43 KB, patch)
2013-10-06 15:40 UTC, Marco Bröder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2013-10-06 15:40:00 UTC
Support staging.

Use the new PYDISTUTILS_AUTOPLIST knob and remove pkg-plist.

Strip and reword pkg-message.

Add patch to fix incompatible dulwich API changes.

Do not depend on specific versions for devel/dulwich and devel/mercurial. It is
neither necessary nor useful, because the latest versions of these ports always
pass, most of the time surpass, the minimum requirements. This avoids all the
version bumps with every update.

Since it is now possible to use the python meta-ports as direct dependencies,
just depend on the python 2 meta-port, because a specific minor version is not
relevant.

Tested (amd64) on head, stable/9, releng/9.2, releng/8.4.

Thanks!

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-10-07 12:12:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-10-14 13:11:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!